## db_speed

### Use

You display the database kernel variant of the current database instance.

The database instance may not be in the OFFLINE operational state. Otherwise you receive an error message as a response to this command.

See also:

Glossary, Variant of the Database Kernel

### Prerequisites

● You have the DBInfoRead server authorization.

● The database instance is in the ONLINE or the ADMIN operational state.

### Syntax

db_speed

### Reply

OK

Speed

(FAST | SLOW | TEST | UNKNOWN)

Values for the Reply Fields

Field | Description
FAST | Fastest database kernel variant Only minimal logging and runtime checks are performed
SLOW | Variant of the database kernel with extensive logging and runtime checks.
TEST | The kernel variant TEST for additional tests is active.
UNKNOWN | The kernel variant cannot be determined.

In the event of errors, see Reply Format